package ru.myitschool.work.data.network.api;

import com.google.android.gms.common.internal.safeparcel.SafeParcelable;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.Header;
import retrofit2.http.POST;
import retrofit2.http.Query;
import ru.myitschool.work.data.dto.Code;
import ru.myitschool.work.data.dto.Employee;

public interface AdminApi {
    @POST("/api/admin/am-i-admin")
    Call<Void> amIAdmin(@Header("Authorization") String auth);

    @POST("/api/admin/panel/get-employee-info")
    Call<Void> getEmployeeInfo(@Header("Authorization") String auth, @Query("employee-login") String login);
}
